name: aws-cli
description: "Run aws cli commands."
inputs:
  args:
    description: "Arguments to pass into the aws cli."
    required: true
  accessKey:
    description: "AWS access key."
    required: true
  secretKey:
    description: "AWS secret key."
    required: true
  region:
    description: "AWS region."
    required: true
    default: us-gov-west-1
outputs:
  console:
    description: "The console output of the aws command."
runs:
  using: docker
  image: Dockerfile
  env:
    AWS_ACCESS_KEY_ID: ${{ inputs.accessKey }}
    AWS_SECRET_ACCESS_KEY: ${{ inputs.secretKey }}
    AWS_DEFAULT_REGION: ${{ inputs.region }}
  args:
  - ${{ inputs.args }}